MKFS.CRAMFS(8)

NOM
mkfs.cramfs - Créer un système de fichiers compressé en lecture seule

SYNOPSIS

mkfs.cramfs [options] répertoire fichier

DESCRIPTION

Files on cramfs file systems are zlib-compressed one page at a time to allow random read access. The metadata is not compressed, but is expressed in a terse representation that is more space-efficient than conventional file systems.

The file system is intentionally read-only to simplify its design; random write access for compressed files is difficult to implement. cramfs ships with a utility (mkcramfs(8)) to pack files into new cramfs images.

File sizes are limited to less than 16 MB.

Maximum file system size is a little under 272 MB. (The last file on the file system must begin before the 256 MB block, but can extend past it.)

ARGUMENTS

Le répertoire est simplement la racine de l’arborescence utilisée pour générer un système de fichiers compressé.

Le fichier contiendra le système de fichiers cramfs qui pourra ensuite être monté.

OPTIONS

-v
    Activer le mode verbeux.

-E
    Traiter tous les avertissements comme des erreurs indiquées par le code de retour de la commande.

-b taillebloc
    Utiliser la taille de bloc définie, qui doit être divisible par la taille de page.

-e édition
    Utiliser le numéro d’édition de système de fichiers défini dans le superbloc.

-N [big|little|host]
    Use defined endianness. Value defaults to host.

-i fichier
    Insérer un fichier dans un système de fichiers cramfs.

-n nom
    Définir le nom du système de fichiers cramfs.

-p
    Remplir à 512 octets pour le code d’amorçage.

-s
    This option is ignored. Originally the -s turned on directory entry sorting.

-z
    Créer explicitement des trous.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

CODE DE RETOUR

0
    Succès.

8
    Erreur d’opération, comme un échec d’allocation mémoire.

VOIR AUSSI

fsck.cramfs(8), mount(8)

SIGNALER DES BOGUES

For bug reports, use the issue tracker at

DISPONIBILITÉ

The mkfs.cramfs command is part of the util-linux package which can be downloaded from

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.